<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Attributes and Links</title>
</head>

<body>
    <h2 id="top">HTML Attributes</h2>

    <p align="right"><em>Modifiers of element behaviours.</em></p>

    <h2>HTML Images</h2>
    <!-- HTML Entities - Special characters used in HTML elements to show HTML reserved characters -->
    <p><em>An image can be shown using &lt;img&gt; tag along with its source <strong>attribute</strong></em></p>

    <a href="https://place-puppy.com">
        <img src="https://place-puppy.com/300x300" alt="">
    </a>

    <p>
        <code>&lt;img src="https://place-puppy.com/300x300" alt=""&gt;</code>
    </p>

    <!-- target attribute - opens a new tab -->
    <a href="https://zuitt.co" target="_blank">
        <img src="./images/zuitt-logo.png" alt="">
    </a>

    <p>
        <code>&lt;img src="./images/zuitt-logo.png" alt=""&gt;</code>
    </p>

    <p>Valid image extensions are the following:</p>
    <ol type="i" reversed>
        <li>PNG</li>
        <li>JPG</li>
        <li>gif</li>
        <li>svg</li>
        <li>webp</li>
    </ol>

    <p>Take a look at w3schools attribute referrences
        <a href="https://www.w3schools.com/tags/att_a_target.asp">here</a>
    </p>

    <h2>HTML links</h2>
    <h4>Absolute Link</h4>
    <a href="https://zuitt.co">I'm a hyperlink</a>

    <h4>Relative link</h4>

    <p>Got to <a href="./link.html">link.html</a></p>

    <p>Go to <a href="#top">top</a></p>
</body>

</html>